package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 电缆段长统计表
 * @author: 王强
 * @create: 2022-11-04 08:51
 **/
public class Cable extends DataEntity<Cable> {

    private String projectReserveId;        //项目储备编号
    private String projectName;             //项目名称
    private String specifications;          //电缆规格型号
    private String civilEngineer;           //是否含土建
    private String pipeLayeCable;           //是否在现有管道施放电缆
    private String completePipe;            //是否完成通管
    private String completeMeasurement;     //是否完成实测
    private String measureLength;           //实测长度
    private String designCableLength;           //设计电缆段长
    private String segmentLengthClassinication; //段长分类
    private String projectManager;          //项目经理
    private String remarks;                 //备注


    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getSpecifications() {
        return specifications;
    }

    public void setSpecifications(String specifications) {
        this.specifications = specifications;
    }

    public String getCivilEngineer() {
        return civilEngineer;
    }

    public void setCivilEngineer(String civilEngineer) {
        this.civilEngineer = civilEngineer;
    }

    public String getPipeLayeCable() {
        return pipeLayeCable;
    }

    public void setPipeLayeCable(String pipeLayeCable) {
        this.pipeLayeCable = pipeLayeCable;
    }

    public String getCompletePipe() {
        return completePipe;
    }

    public void setCompletePipe(String completePipe) {
        this.completePipe = completePipe;
    }

    public String getCompleteMeasurement() {
        return completeMeasurement;
    }

    public void setCompleteMeasurement(String completeMeasurement) {
        this.completeMeasurement = completeMeasurement;
    }

    public String getMeasureLength() {
        return measureLength;
    }

    public void setMeasureLength(String measureLength) {
        this.measureLength = measureLength;
    }

    public String getDesignCableLength() {
        return designCableLength;
    }

    public void setDesignCableLength(String designCableLength) {
        this.designCableLength = designCableLength;
    }

    public String getSegmentLengthClassinication() {
        return segmentLengthClassinication;
    }

    public void setSegmentLengthClassinication(String segmentLengthClassinication) {
        this.segmentLengthClassinication = segmentLengthClassinication;
    }

    public String getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(String projectManager) {
        this.projectManager = projectManager;
    }

    @Override
    public String getRemarks() {
        return remarks;
    }

    @Override
    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

}
