<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>新增省公司评审信息</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {

	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
			var review = $("#passProvincialCompanyReview").val();

			if (null==review||""==review){
				jp.error("请填写是否通过省公司评审！");
			}


		    else {
                var isValidate = jp.validateForm('#inputForm');//校验表单
                if(!isValidate){
                    return false;
                }else{
                    jp.loading();
                    jp.post("${ctx}/cg/reservemanagementcenter/reservePreconstruct/save",$('#inputForm').serialize(),function(data){
                        if(data.success){
                            jp.getParent().refresh();
                            var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                            parent.layer.close(dialogIndex);
                            jp.success(data.msg)

                        }else{
                            jp.error(data.msg);
                        }
                    })
                }
			}
        }
	</script>
</head>
<body class="bg-white">
<form:form id="inputForm" modelAttribute="companyReview" class="form-horizontal">
	<form:hidden path="id"/>
	<table class="table table-bordered">
		<tbody>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">储备项目基本信息：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">项目年份：</label></td>
			<td class="width-35">
				<form:input path="projectYear" htmlEscape="false" class="form-control" readonly="true"/>
			</td>
			<td class="width-15 active"><label class="">项目性质：</label></td>
			<td class="width-35">
				<form:input path="projectNature" htmlEscape="false" class="form-control" readonly="true"/>
			</td>

		</tr>
		<tr>
			<td class="width-15 active"><label class="">需求单位：</label></td>
			<td class="width-35">
				<form:input path="demandUnit" htmlEscape="false"    class="form-control" readonly="true"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">区域：</label></td>
			<td class="width-35">
				<form:input path="district" htmlEscape="false"    class="form-control" readonly="true"/>
			</td>
			<td class="width-15 active"><label class="">项目分组：</label></td>
			<td class="width-35">
				<form:input path="projectGroup" htmlEscape="false"    class="form-control" readonly="true"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">储备批次：</label></td>
			<td class="width-35">
				<form:input path="reserveBatches" htmlEscape="false"    class="form-control" readonly="true"/>
			</td>
			<td class="width-15 active"><label class="">供电区域：</label></td>
			<td class="width-35">
				<form:input path="blockSupply" htmlEscape="false"    class="form-control" readonly="true"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">网格编号：</label></td>
			<td class="width-35">
				<form:input path="gridNumber" htmlEscape="false"    class="form-control" readonly="true"/>
			</td>
			<td class="width-15 active"><label class="">单元格编号：</label></td>
			<td class="width-35">
				<form:input path="cellNumber" htmlEscape="false"    class="form-control" readonly="true"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">项目储备编号：</label></td>
			<td class="width-35">
				<form:input path="projectReserveId" htmlEscape="false"  readonly="true"  class="form-control required"/>
			</td>
			<td class="width-15 active"><label class="">项目名称：</label></td>
			<td class="width-35">
				<form:input path="projectName" htmlEscape="false"    class="form-control required" readonly="true"/>
			</td>
		</tr>

		<tr>
			<td class="width-15 active"><label class="">建设必要性及内容：</label></td>
			<td class="width-35">
				<form:input path="constructionNecessityAndContent" htmlEscape="false"    class="form-control" readonly="true"/>
			</td>
			<td class="width-15 active"><label class="">变电站名称：</label></td>
			<td class="width-35">
				<form:input path="substationName" htmlEscape="false"    class="form-control" readonly="true"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">线路名称：</label></td>
			<td class="width-35">
				<form:input path="circuitName" htmlEscape="false" class="form-control" readonly="true"/>
			</td>
			<td class="width-15 active"><label class="">网架项目划分：</label></td>
			<td class="width-35">
				<form:input path="netRackProjectDivide" htmlEscape="false"    class="form-control" readonly="true"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">需求类型：</label></td>
			<td class="width-35">
				<form:input path="requirementType" htmlEscape="false" class="form-control" readonly="true"/>
			</td>
			<td class="width-15 active"><label class="">费用估算：</label></td>
			<td class="width-35">
				<form:input path="costEstimate" htmlEscape="false" class="form-control number money" readonly="true"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">备注：</label></td>
			<td class="width-35">
				<form:textarea path="basicRemarks" htmlEscape="false" rows="3" maxlength="200" class="form-control" readonly="true"/>
			</td>
		</tr>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">省公司评审：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否参加省公司评审：</label></td>
			<td class="width-35">
				<form:input path="joinProvincialCompanyReview" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">省公司评审批次/日期：</label></td>
			<td class="width-35">
				<form:input path="batchOfProvincialCompany" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class=""><font color="red">*</font>是否通过省公司评审：</label></td>
			<td class="width-35">
				<form:input path="passProvincialCompanyReview" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">评审意见：</label></td>
			<td class="width-35">
				<form:input path="reviewComments" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否需设计变更：</label></td>
			<td class="width-35">
				<form:input path="designChangeRequired" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">备注：</label></td>
			<td class="width-35">
				<form:input path="companyRemarks" htmlEscape="false" class="form-control"/>
			</td>
		</tr>

		</tbody>
	</table>
</form:form>
</body>
</html>
