<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>编辑流程上传文件信息</title>
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@ include file="/webpage/include/treeview.jsp" %>
	<script type="text/javascript">
		$(document).ready(function() {

			$('#beginDate').datetimepicker({
				format: "YYYY-MM-DD HH:mm:ss"
			});
			$('#endDate').datetimepicker({
				format: "YYYY-MM-DD HH:mm:ss"
			});
		});
		function save() {

			var isValidate = jp.validateForm('#inputForm');//校验表单
			if(!isValidate){
				return false;
			}else{
				jp.loading();
				jp.post("${ctx}/cg/reservemanagementcenter/normative/update",$('#inputForm').serialize(),function(data){
					if(data.success){
						jp.getParent().refresh();
						var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
						parent.layer.close(dialogIndex);
						jp.success(data.msg)
					}else{
						jp.error(data.msg);
					}
				})
			}

		}
	</script>
</head>
<body class="bg-white">
<div class="panel-body">
	<form:form id="inputForm" modelAttribute="normativeAudit" class="form-horizontal">
		<form:hidden path="id"/>
		<table class="table table-bordered">
			<tbody>
			<tr>
				<td colspan="4" class="width-15 active"><label class="">储备项目基本信息：</label></td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">项目年份：</label></td>
				<td class="width-35">
					<form:input path="projectYear" htmlEscape="false" readonly="true"  class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">项目性质：</label></td>
				<td class="width-35">
					<form:input path="projectNature" htmlEscape="false"    readonly="true"  class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">需求单位：</label></td>
				<td class="width-35">
					<form:input path="demandUnit" htmlEscape="false"    readonly="true"  class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">区域：</label></td>
				<td class="width-35">
					<form:input path="district" htmlEscape="false"    readonly="true"  class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">项目分组：</label></td>
				<td class="width-35">
					<form:input path="projectGroup" htmlEscape="false"    readonly="true"  class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">储备批次：</label></td>
				<td class="width-35">
					<form:input path="reserveBatches" htmlEscape="false"    readonly="true"  class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">供电区域：</label></td>
				<td class="width-35">
					<form:input path="blockSupply" htmlEscape="false"    readonly="true"  class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">网格编号：</label></td>
				<td class="width-35">
					<form:input path="gridNumber" htmlEscape="false"    readonly="true"  class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">单元格编号：</label></td>
				<td class="width-35">
					<form:input path="cellNumber" htmlEscape="false"    readonly="true"  class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">项目储备编号：</label></td>
				<td class="width-35">
					<form:input path="projectReserveId" htmlEscape="false"  readonly="true"  class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">项目名称：</label></td>
				<td class="width-35">
					<form:input path="projectName" htmlEscape="false"  readonly="true"  class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">建设必要性及内容：</label></td>
				<td class="width-35">
					<form:input path="constructionNecessityAndContent" htmlEscape="false"    readonly="true"  class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">变电站名称：</label></td>
				<td class="width-35">
					<form:input path="substationName" htmlEscape="false"    readonly="true"  class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">线路名称：</label></td>
				<td class="width-35">
					<form:input path="circuitName" htmlEscape="false"    readonly="true"  class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">网架项目划分：</label></td>
				<td class="width-35">
					<form:input path="netRackProjectDivide" htmlEscape="false" readonly="true"    class="form-control"/>
				</td>
				<td class="width-15 active"><label class="">需求类型：</label></td>
				<td class="width-35">
					<form:input path="requirementType" htmlEscape="false" readonly="true"    class="form-control"/>
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">费用估算：</label></td>
				<td class="width-35">
					<form:input path="costEstimate" htmlEscape="false" readonly="true"    class="form-control number money"/>
				</td>
				<td class="width-15 active"><label class="">备注：</label></td>
				<td class="width-35">
					<form:input path="basicRemarks" htmlEscape="false" readonly="true"    class="form-control number money"/>
				</td>
			</tr>

			<tr>
				<td colspan="4" class="width-15 active"><label class="">流程上传文件信息：</label></td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">图纸：</label></td>
				<td class="width-35">
					<sys:fileUpload path="blueprint"  value="${normativeAudit.blueprint}" type="*" uploadPath="/personnelTurnover" />
				</td>
				<td class="width-15 active"><label class="">预算书：</label></td>
				<td class="width-35">
					<sys:fileUpload path="budgetBook"  value="${normativeAudit.budgetBook}" type="*" uploadPath="/personnelTurnover" readonly="false"/>
				</td>

			</tr>
			<tr>
				<td class="width-15 active"><label class="">设计说明书：</label></td>
				<td class="width-35">
					<sys:fileUpload path="designManual"  value="${normativeAudit.designManual}" type="*" uploadPath="/personnelTurnover" />
				</td>
				<td class="width-15 active"><label class="">提资材料清册：</label></td>
				<td class="width-35">
					<sys:fileUpload path="materialList"  value="${normativeAudit.materialList}" type="*" uploadPath="/personnelTurnover" />
				</td>
			</tr>
			<tr>
				<td class="width-15 active"><label class="">项目建议书：</label></td>
				<td class="width-35">
					<sys:fileUpload path="projectProposal"  value="${normativeAudit.projectProposal}" type="*" uploadPath="/personnelTurnover" />
				</td>
				<td class="width-15 active"><label class="">拆旧清册：</label></td>
				<td class="width-35">
					<sys:fileUpload path="oldInventoryDemolition"  value="${normativeAudit.oldInventoryDemolition}" type="*" uploadPath="/personnelTurnover" />
				</td>
			</tr>

			<tr>
				<td class="width-15 active"><label class="">不停电作业方案/停电作业申报表：</label></td>
				<td class="width-35">
					<sys:fileUpload path="noStopWorkPlan"  value="${normativeAudit.noStopWorkPlan}" type="*" uploadPath="/personnelTurnover" />
				</td>
				<td class="width-15 active"><label class="">土建现浇审批单：</label></td>
				<td class="width-35">
					<sys:fileUpload path="castPlaceApprovalForm"  value="${normativeAudit.castPlaceApprovalForm}" type="*" uploadPath="/personnelTurnover" />
				</td>
			</tr>
			</tbody>
		</table>
	</form:form>
</div>
</body>
</html>
